org.apache.hc.client5.http.async.methods

## Class SimpleHttpRequests

- java.lang.Object
- - org.apache.hc.client5.http.async.methods.SimpleHttpRequests

- Deprecated.
  Use `SimpleRequestBuilder`.

      @Deprecated
      public final class SimpleHttpRequests
      extends Object

  Common HTTP methods using `SimpleHttpRequest` as a HTTP request message representation.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleHttpRequests()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SimpleHttpRequest` | `create(org.apache.hc.core5.http.Method method, org.apache.hc.core5.http.HttpHost host, String path)` Deprecated. Creates a request object of the exact subclass of `SimpleHttpRequest`.
    `static SimpleHttpRequest` | `create(org.apache.hc.core5.http.Method method, String uri)` Deprecated. Creates a request object of the exact subclass of `SimpleHttpRequest`.
    `static SimpleHttpRequest` | `create(org.apache.hc.core5.http.Method method, URI uri)` Deprecated. Creates a request object of the exact subclass of `SimpleHttpRequest`.
    `static SimpleHttpRequest` | `create(String method, String uri)` Deprecated. Creates a new BasicHttpRequest for the given `method` and `String` URI.
    `static SimpleHttpRequest` | `create(String method, URI uri)` Deprecated. Creates a new BasicHttpRequest for the given `method` and `URI`.
    `static SimpleHttpRequest` | `delete(org.apache.hc.core5.http.HttpHost host, String path)` Deprecated.
    `static SimpleHttpRequest` | `delete(String uri)` Deprecated.
    `static SimpleHttpRequest` | `delete(URI uri)` Deprecated.
    `static SimpleHttpRequest` | `get(org.apache.hc.core5.http.HttpHost host, String path)` Deprecated.
    `static SimpleHttpRequest` | `get(String uri)` Deprecated.
    `static SimpleHttpRequest` | `get(URI uri)` Deprecated.
    `static SimpleHttpRequest` | `head(org.apache.hc.core5.http.HttpHost host, String path)` Deprecated.
    `static SimpleHttpRequest` | `head(String uri)` Deprecated.
    `static SimpleHttpRequest` | `head(URI uri)` Deprecated.
    `static SimpleHttpRequest` | `options(org.apache.hc.core5.http.HttpHost host, String path)` Deprecated.
    `static SimpleHttpRequest` | `options(String uri)` Deprecated.
    `static SimpleHttpRequest` | `options(URI uri)` Deprecated.
    `static SimpleHttpRequest` | `patch(org.apache.hc.core5.http.HttpHost host, String path)` Deprecated.
    `static SimpleHttpRequest` | `patch(String uri)` Deprecated.
    `static SimpleHttpRequest` | `patch(URI uri)` Deprecated.
    `static SimpleHttpRequest` | `post(org.apache.hc.core5.http.HttpHost host, String path)` Deprecated.
    `static SimpleHttpRequest` | `post(String uri)` Deprecated.
    `static SimpleHttpRequest` | `post(URI uri)` Deprecated.
    `static SimpleHttpRequest` | `put(org.apache.hc.core5.http.HttpHost host, String path)` Deprecated.
    `static SimpleHttpRequest` | `put(String uri)` Deprecated.
    `static SimpleHttpRequest` | `put(URI uri)` Deprecated.
    `static SimpleHttpRequest` | `trace(org.apache.hc.core5.http.HttpHost host, String path)` Deprecated.
    `static SimpleHttpRequest` | `trace(String uri)` Deprecated.
    `static SimpleHttpRequest` | `trace(URI uri)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleHttpRequests

          public SimpleHttpRequests()

      Deprecated.

  - ### Method Detail

    - #### create

          public static SimpleHttpRequest create(String method,
                                                 String uri)

      Deprecated.
      Creates a new BasicHttpRequest for the given `method` and `String` URI.
      Parameters:
        `method` - A method supported by this class.
        `uri` - a non-null request string URI.
      Returns:
        A new BasicHttpRequest.

    - #### create

          public static SimpleHttpRequest create(String method,
                                                 URI uri)

      Deprecated.
      Creates a new BasicHttpRequest for the given `method` and `URI`.
      Parameters:
        `method` - A method supported by this class.
        `uri` - a non-null request URI.
      Returns:
        A new BasicHttpRequest.

    - #### delete

          public static SimpleHttpRequest delete(String uri)

      Deprecated.

    - #### delete

          public static SimpleHttpRequest delete(URI uri)

      Deprecated.

    - #### delete

          public static SimpleHttpRequest delete(org.apache.hc.core5.http.HttpHost host,
                                                 String path)

      Deprecated.

    - #### get

          public static SimpleHttpRequest get(String uri)

      Deprecated.

    - #### get

          public static SimpleHttpRequest get(URI uri)

      Deprecated.

    - #### get

          public static SimpleHttpRequest get(org.apache.hc.core5.http.HttpHost host,
                                              String path)

      Deprecated.

    - #### head

          public static SimpleHttpRequest head(String uri)

      Deprecated.

    - #### head

          public static SimpleHttpRequest head(URI uri)

      Deprecated.

    - #### head

          public static SimpleHttpRequest head(org.apache.hc.core5.http.HttpHost host,
                                               String path)

      Deprecated.

    - #### options

          public static SimpleHttpRequest options(String uri)

      Deprecated.

    - #### options

          public static SimpleHttpRequest options(URI uri)

      Deprecated.

    - #### options

          public static SimpleHttpRequest options(org.apache.hc.core5.http.HttpHost host,
                                                  String path)

      Deprecated.

    - #### patch

          public static SimpleHttpRequest patch(String uri)

      Deprecated.

    - #### patch

          public static SimpleHttpRequest patch(URI uri)

      Deprecated.

    - #### patch

          public static SimpleHttpRequest patch(org.apache.hc.core5.http.HttpHost host,
                                                String path)

      Deprecated.

    - #### post

          public static SimpleHttpRequest post(String uri)

      Deprecated.

    - #### post

          public static SimpleHttpRequest post(URI uri)

      Deprecated.

    - #### post

          public static SimpleHttpRequest post(org.apache.hc.core5.http.HttpHost host,
                                               String path)

      Deprecated.

    - #### put

          public static SimpleHttpRequest put(String uri)

      Deprecated.

    - #### put

          public static SimpleHttpRequest put(URI uri)

      Deprecated.

    - #### put

          public static SimpleHttpRequest put(org.apache.hc.core5.http.HttpHost host,
                                              String path)

      Deprecated.

    - #### trace

          public static SimpleHttpRequest trace(String uri)

      Deprecated.

    - #### trace

          public static SimpleHttpRequest trace(URI uri)

      Deprecated.

    - #### trace

          public static SimpleHttpRequest trace(org.apache.hc.core5.http.HttpHost host,
                                                String path)

      Deprecated.

    - #### create

          public static SimpleHttpRequest create(org.apache.hc.core5.http.Method method,
                                                 String uri)

      Deprecated.
      Creates a request object of the exact subclass of `SimpleHttpRequest`.
      Parameters:
        `uri` - a non-null URI String.
      Returns:
        a new SimpleHttpRequest.

    - #### create

          public static SimpleHttpRequest create(org.apache.hc.core5.http.Method method,
                                                 URI uri)

      Deprecated.
      Creates a request object of the exact subclass of `SimpleHttpRequest`.
      Parameters:
        `method` - a non-null HTTP method.
        `uri` - a non-null URI.
      Returns:
        a new SimpleHttpRequest.

    - #### create

          public static SimpleHttpRequest create(org.apache.hc.core5.http.Method method,
                                                 org.apache.hc.core5.http.HttpHost host,
                                                 String path)

      Deprecated.
      Creates a request object of the exact subclass of `SimpleHttpRequest`.
      Parameters:
        `method` - a non-null HTTP method.
        `host` - HTTP host.
        `path` - request path.
      Returns:
        a new SimpleHttpRequest.

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.